# DAVecRestoreArray

Restores a multiple dimension array obtained with DAVecGetArray()

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAVecRestoreArray(DA da,Vec vec,void *array)

Not Collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DACreateGlobalVector() or DACreateLocalVector()
| array | - the array

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DAGetGhostCorners(), DAGetCorners(), VecGetArray(), VecRestoreArray(), DAVecGetArray()

Level:intermediate
Location: src/dm/da/src/dagetarray.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html